Groovy Documentation

## org.codehaus.groovy.grails.resolve
[Groovy] Class PluginResolveEngine

    java.lang.Object
      org.codehaus.groovy.grails.resolve.PluginResolveEngine

    final class PluginResolveEngine

Utility methods for resolving plugin zips and information used in conjunction with an IvyDependencyManager instance.

Authors:
  Graeme Rocher

Since:
  1.3

Property Summary
`IvyDependencyManager` | `dependencyManager`
`groovy.lang.Closure` | `messageReporter`
`BuildSettings` | `settings`

Constructor Summary
`PluginResolveEngine(IvyDependencyManager dependencyManager, BuildSettings settings)`

Method Summary
`IvyDependencyManager` | `createFreshDependencyManager()`
`java.lang.Object` | `createResolveArguments(java.lang.String pluginName, java.lang.String pluginVersion)`
`groovy.util.slurpersupport.GPathResult` | `resolvePluginMetadata(java.lang.String pluginName, java.lang.String pluginVersion)` This method will resolve the plugin.xml file for a given plugin without downloading the plugin zip itself
`java.io.File` | `resolvePluginZip(java.lang.String pluginName, java.lang.String pluginVersion, java.lang.String scope = "", java.util.Map args = [:])` Resolve a Plugin zip for for the given name and plugin version
`ResolveReport` | `resolvePlugins(java.util.List pluginsToInstall, java.lang.String scope = '')` Resolves a list of plugins and produces a ResolveReport

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependencyManager

    IvyDependencyManager dependencyManager

### messageReporter

    groovy.lang.Closure messageReporter

### settings

    BuildSettings settings

Constructor Detail

### PluginResolveEngine

    PluginResolveEngine(IvyDependencyManager dependencyManager, BuildSettings settings)

Method Detail

### createFreshDependencyManager

    IvyDependencyManager createFreshDependencyManager()

### createResolveArguments

    java.lang.Object createResolveArguments(java.lang.String pluginName, java.lang.String pluginVersion)

### resolvePluginMetadata

    groovy.util.slurpersupport.GPathResult resolvePluginMetadata(java.lang.String pluginName, java.lang.String pluginVersion)

  This method will resolve the plugin.xml file for a given plugin without downloading the plugin zip itself

### resolvePluginZip

    java.io.File resolvePluginZip(java.lang.String pluginName, java.lang.String pluginVersion, java.lang.String scope = "", java.util.Map args = [:])

  Resolve a Plugin zip for for the given name and plugin version
  Parameters:
    `pluginName` - The plugin name
    `pluginVersion` - The plugin version
  Returns:
    The location of the local file or null if an error occured

### resolvePlugins

    ResolveReport resolvePlugins(java.util.List pluginsToInstall, java.lang.String scope = '')

  Resolves a list of plugins and produces a ResolveReport
  Parameters:
    `pluginsToInstall` - The list of plugins
    `scope` - The scope (defaults to runtime)

Groovy Documentation